Index: issm/trunk/src/m/enum/NodeEnum.m
===================================================================
--- issm/trunk/src/m/enum/NodeEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/NodeEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=NodeEnum()
 
-macro=421;
+macro=52;
Index: issm/trunk/src/m/enum/NodePropertiesEnum.m
===================================================================
--- issm/trunk/src/m/enum/NodePropertiesEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/NodePropertiesEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=NodePropertiesEnum()
 
-macro=413;
+macro=47;
Index: issm/trunk/src/m/enum/NodesEnum.m
===================================================================
--- issm/trunk/src/m/enum/NodesEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/NodesEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=NodesEnum()
 
-macro=102;
+macro=2;
Index: issm/trunk/src/m/enum/NoneAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/NoneAnalysisEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/NoneAnalysisEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=NoneAnalysisEnum()
 
-macro=290;
+macro=35;
Index: issm/trunk/src/m/enum/NoneFormulationEnum.m
===================================================================
--- issm/trunk/src/m/enum/NoneFormulationEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/NoneFormulationEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=NoneFormulationEnum()
 
-macro=301;
+macro=37;
Index: issm/trunk/src/m/enum/NumericalfluxEnum.m
===================================================================
--- issm/trunk/src/m/enum/NumericalfluxEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/NumericalfluxEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=NumericalfluxEnum()
 
-macro=435;
+macro=59;
Index: issm/trunk/src/m/enum/NumparEnum.m
===================================================================
--- issm/trunk/src/m/enum/NumparEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/NumparEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=NumparEnum()
 
-macro=443;
+macro=63;
Index: issm/trunk/src/m/enum/ObjectEnum.m
===================================================================
--- issm/trunk/src/m/enum/ObjectEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/ObjectEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=ObjectEnum()
 
-macro=400;
+macro=42;
Index: issm/trunk/src/m/enum/ParamEnum.m
===================================================================
--- issm/trunk/src/m/enum/ParamEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/ParamEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=ParamEnum()
 
-macro=460;
+macro=65;
Index: issm/trunk/src/m/enum/ParametersAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/ParametersAnalysisEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/ParametersAnalysisEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=ParametersAnalysisEnum()
 
-macro=280;
+macro=33;
Index: issm/trunk/src/m/enum/ParametersEnum.m
===================================================================
--- issm/trunk/src/m/enum/ParametersEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/ParametersEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=ParametersEnum()
 
-macro=106;
+macro=6;
Index: issm/trunk/src/m/enum/PattynFormulationEnum.m
===================================================================
--- issm/trunk/src/m/enum/PattynFormulationEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/PattynFormulationEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=PattynFormulationEnum()
 
-macro=304;
+macro=40;
Index: issm/trunk/src/m/enum/PengridEnum.m
===================================================================
--- issm/trunk/src/m/enum/PengridEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/PengridEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=PengridEnum()
 
-macro=434;
+macro=58;
Index: issm/trunk/src/m/enum/PenpairEnum.m
===================================================================
--- issm/trunk/src/m/enum/PenpairEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/PenpairEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=PenpairEnum()
 
-macro=433;
+macro=57;
Index: issm/trunk/src/m/enum/PentaEnum.m
===================================================================
--- issm/trunk/src/m/enum/PentaEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/PentaEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=PentaEnum()
 
-macro=414;
+macro=48;
Index: issm/trunk/src/m/enum/Prognostic2AnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/Prognostic2AnalysisEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/Prognostic2AnalysisEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=Prognostic2AnalysisEnum()
 
-macro=251;
+macro=28;
Index: issm/trunk/src/m/enum/PrognosticAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/PrognosticAnalysisEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/PrognosticAnalysisEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=PrognosticAnalysisEnum()
 
-macro=250;
+macro=27;
Index: issm/trunk/src/m/enum/ResultEnum.m
===================================================================
--- issm/trunk/src/m/enum/ResultEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/ResultEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=ResultEnum()
 
-macro=470;
+macro=66;
Index: issm/trunk/src/m/enum/ResultsEnum.m
===================================================================
--- issm/trunk/src/m/enum/ResultsEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/ResultsEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=ResultsEnum()
 
-macro=107;
+macro=7;
Index: issm/trunk/src/m/enum/RgbEnum.m
===================================================================
--- issm/trunk/src/m/enum/RgbEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/RgbEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=RgbEnum()
 
-macro=480;
+macro=67;
Index: issm/trunk/src/m/enum/RiftfrontEnum.m
===================================================================
--- issm/trunk/src/m/enum/RiftfrontEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/RiftfrontEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=RiftfrontEnum()
 
-macro=432;
+macro=56;
Index: issm/trunk/src/m/enum/SingEnum.m
===================================================================
--- issm/trunk/src/m/enum/SingEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/SingEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=SingEnum()
 
-macro=415;
+macro=50;
Index: issm/trunk/src/m/enum/SlopecomputeAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/SlopecomputeAnalysisEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/SlopecomputeAnalysisEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=SlopecomputeAnalysisEnum()
 
-macro=240;
+macro=22;
Index: issm/trunk/src/m/enum/SpcEnum.m
===================================================================
--- issm/trunk/src/m/enum/SpcEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/SpcEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=SpcEnum()
 
-macro=490;
+macro=68;
Index: issm/trunk/src/m/enum/SteadyAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/SteadyAnalysisEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/SteadyAnalysisEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=SteadyAnalysisEnum()
 
-macro=232;
+macro=21;
Index: issm/trunk/src/m/enum/SteadystateAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/SteadystateAnalysisEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/SteadystateAnalysisEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=SteadystateAnalysisEnum()
 
-macro=281;
+macro=34;
Index: issm/trunk/src/m/enum/StokesAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/StokesAnalysisEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/StokesAnalysisEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=StokesAnalysisEnum()
 
-macro=212;
+macro=12;
Index: issm/trunk/src/m/enum/StokesFormulationEnum.m
===================================================================
--- issm/trunk/src/m/enum/StokesFormulationEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/StokesFormulationEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=StokesFormulationEnum()
 
-macro=305;
+macro=41;
Index: issm/trunk/src/m/enum/SurfaceXAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/SurfaceXAnalysisEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/SurfaceXAnalysisEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=SurfaceXAnalysisEnum()
 
-macro=241;
+macro=23;
Index: issm/trunk/src/m/enum/SurfaceYAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/SurfaceYAnalysisEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/SurfaceYAnalysisEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=SurfaceYAnalysisEnum()
 
-macro=242;
+macro=24;
Index: issm/trunk/src/m/enum/ThermalAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/ThermalAnalysisEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/ThermalAnalysisEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=ThermalAnalysisEnum()
 
-macro=230;
+macro=19;
Index: issm/trunk/src/m/enum/TransientAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/TransientAnalysisEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/TransientAnalysisEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=TransientAnalysisEnum()
 
-macro=231;
+macro=20;
Index: issm/trunk/src/m/enum/TriaEnum.m
===================================================================
--- issm/trunk/src/m/enum/TriaEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/TriaEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=TriaEnum()
 
-macro=411;
+macro=45;
Index: issm/trunk/src/m/enum/VertAnalysisEnum.m
===================================================================
--- issm/trunk/src/m/enum/VertAnalysisEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/VertAnalysisEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=VertAnalysisEnum()
 
-macro=214;
+macro=14;
Index: issm/trunk/src/m/enum/VertexEnum.m
===================================================================
--- issm/trunk/src/m/enum/VertexEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/VertexEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=VertexEnum()
 
-macro=420;
+macro=53;
Index: issm/trunk/src/m/enum/VerticesEnum.m
===================================================================
--- issm/trunk/src/m/enum/VerticesEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/VerticesEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=VerticesEnum()
 
-macro=108;
+macro=8;
Index: issm/trunk/src/m/enum/WaterEnum.m
===================================================================
--- issm/trunk/src/m/enum/WaterEnum.m	(revision 3566)
+++ issm/trunk/src/m/enum/WaterEnum.m	(revision 3567)
@@ -7,3 +7,3 @@
 %      macro=WaterEnum()
 
-macro=601;
+macro=73;
Index: issm/trunk/src/mex/TriMeshProcessRifts/TriMeshProcessRifts.cpp
===================================================================
--- issm/trunk/src/mex/TriMeshProcessRifts/TriMeshProcessRifts.cpp	(revision 3566)
+++ issm/trunk/src/mex/TriMeshProcessRifts/TriMeshProcessRifts.cpp	(revision 3567)
@@ -287,5 +287,5 @@
 			/*Friction fraction, fractionincrement  and fill: */
 			mxSetField(pmxa_array,i,"friction",mxCreateDoubleScalar(0));
-			mxSetField(pmxa_array,i,"fill",mxCreateDoubleScalar(IceEnum())); //default is ice
+			mxSetField(pmxa_array,i,"fill",mxCreateDoubleScalar(IceEnum)); //default is ice
 			mxSetField(pmxa_array,i,"fraction",mxCreateDoubleScalar(0)); //default is ice
 			mxSetField(pmxa_array,i,"fractionincrement",mxCreateDoubleScalar(0.1)); 
@@ -295,5 +295,5 @@
 		/*output NaN :*/
 		pNaN=(double*)xmalloc(sizeof(double));
-		*pNaN=0.0/0.0;
+		*pNaN=NAN;
 		pmxa_array= mxCreateDoubleMatrix(0,0,mxREAL);
 		mxSetM(pmxa_array,1);
